//--------------------------------------------------------------------------------------------
//NS Shaders, some based on yalt scripts :)
//--------------------------------------------------------------------------------------------
textures/sector50_dark/sparks
{      
	surfaceparm nobuild
	surfaceparm noimpact	
	surfaceparm nomarks
	surfaceparm slick
    { 
        map textures/sector50_dark/sparks.png
        blendFunc add
		rgbGen wave sin .5 .5 .25 1.5
        
	}
}
textures/sector50_dark/credits
{      
	surfaceparm nobuild
	surfaceparm noimpact	
	surfaceparm nomarks
	surfaceparm slick
	surfaceparm nonsolid
    { 
        map textures/sector50_dark/credits.png
        blendFunc add
        
	}
}
textures/sector50_dark/sde_23
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_23.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_23_b.png
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .5 .5 .25 1.5
	}
}
textures/sector50_dark/sde_03_blend_red
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_03r.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_03_blend_red.png
		blendfunc GL_ONE GL_ONE
	}
}
textures/sector50_dark/sde_03_blend_blue
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_03b.png
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_03_blend_blue.png
		blendfunc GL_ONE GL_ONE
	}
}
textures/sector50_dark/sde_20
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_20.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_20_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sector50_dark/sde_03
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_03.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_03_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}
textures/sector50_dark/sde_04
{      
	{
		map $lightmap
		rgbGen identity
	}
    {                       
        map textures/sector50_dark/sde_04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
    }
    { 
        map textures/sector50_dark/sde_04_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/sector50_dark/testsky_clouds
{
     surfaceparm noimpact
     surfaceparm nolightmap
     surfaceparm sky
	 surfaceparm nodlight
	 nopicmip
   	 nomipmaps
     skyparms env/jota/jota - -
}
textures/sector50_dark/sea
	{
    qer_editorimage textures/sector50_dark/sea.tga
	surfaceparm trans	
    surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/sector50_dark/sea.tga
		tcMod Scroll 0.2 0
		blendFunc add
	}
	{
		map textures/sector50_dark/sea.tga
		tcMod Scroll -0.1 0
		tcMod turb 0.1 0.1 0.1 0.2
	}
}
textures/sector50_dark/fog_s
{
	qer_editorimage textures/sector50_dark/fog_radiant.png
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	// fogparms ( <red> <green> <blue> ) <distance to opaque>
	fogparms ( 0.66 0.88 0.99 ) 10000
}
textures/sector50_dark/force_field_s
	{
        qer_editorimage textures/sector50_dark/force_grid.tga
	surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nolightmap
	cull none
	{
		map textures/sector50_dark/force_field.tga
		tcMod Scroll .3 0
		blendFunc add
	}
		{
		map textures/sector50_dark/force_field.tga
		blendFunc add
		rgbGen wave Triangle .5 .5 0 0.1
	}
	{
		map textures/sector50_dark/force_grid.tga
		tcMod Scroll -1 0
		blendfunc gl_dst_color gl_src_alpha
		 tcMod turb 0.3 0.1 2 1
	}
		{
		map textures/sector50_dark/force_grid.tga
		tcMod Scroll 1 0
		blendfunc gl_dst_color gl_src_alpha
		 tcMod turb 0.1 0.1 1 1.5
	}
}